GET
/notebooks/{Instance_id}/security-groups/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/security-groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/security-groups/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/security-groups/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns all Security Groups attached to the Instance or Virtual Machine.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Instance_id
required
integer
Instance ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”List of Security Groups attached to the Instance or Virtual Machine
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
description
string
Example
{ "code": 200, "data": [ { "id": 45, "name": "allow-ssh", "description": "Allows inbound SSH on port 22" } ]}